Bug 991732 - X always crash and can not start with new Catalyst driver.
X always crash and can not start with new Catalyst driver.
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-08-04 03:10 EDT by j-amano
Modified: 2015-02-17 11:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-02-17 11:33:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Crash Log report from system. (41.01 KB, text/plain)
2013-08-04 03:10 EDT, j-amano
no flags Details

  None (edit)
Description j-amano 2013-08-04 03:10:57 EDT
Created attachment 782416 [details]
Crash Log report from system.

Description of problem:
X always crash and can not start with new Catalyst driver.So I can't start both KDE and GNOME. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Boot and start X

Actual results:
crash X system and restart with Log-in screen

Expected results:
going to normal.

Additional info:
Comment 1 JoeC 2013-08-05 07:16:51 EDT
I have the same problem. The following is the backtrace of error section from Xorg log:

[   601.477] (EE) 
[   601.477] (EE) Backtrace:
[   601.478] (EE) 0: /usr/bin/Xorg (OsLookupColor+0x129) [0x46edb9]
[   601.479] (EE) 1: /lib64/libpthread.so.0 (__restore_rt+0x0) [0x300a40ef9f]
[   601.479] (EE) 2: /lib64/libc.so.6 (____strtod_l_internal+0x74) [0x300983e0c4]
[   601.480] (EE) 3: /usr/lib64/xorg/modules/extensions/catalyst/libglx.so (GlxInitVisuals2D+0x24772) [0x7f888f91b482]
[   601.480] (EE) 4: /usr/lib64/xorg/modules/extensions/catalyst/libglx.so (__glXSetTexBufferInfo+0x1fd7) [0x7f888f8d38a7]
[   601.480] (EE) 5: /usr/bin/Xorg (SendErrorToClient+0x3f7) [0x436fa7]
[   601.480] (EE) 6: /usr/bin/Xorg (_init+0x3aaa) [0x429b4a]
[   601.481] (EE) 7: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3009821b75]
[   601.481] (EE) 8: /usr/bin/Xorg (_start+0x29) [0x4267b1]
[   601.481] (EE) 9: ? (?+0x29) [0x29]
[   601.481] (EE) 
[   601.481] (EE) Segmentation fault at address 0x0
[   601.481] (EE) 
[   601.481] (EE) Caught signal 11 (Segmentation fault). Server aborting
Comment 2 Stephen Hatfield 2013-09-02 17:29:43 EDT
I have a similar problem; my workstation small to a small window that says:  Oops, something went wrong . . .  It is very unstable at that point and usually requires a 15 second power off to reset.

Here is the last X11/kernel/akmod/kmod that works:

3.9.9-302.fc19.x86_64 #1 SMP Sat Jul 6 13:41:07 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux


I've blocked kernel updates and keep searching for a solution.  Any/all help would be appreciated!
Comment 3 Stephen Hatfield 2013-10-01 17:12:35 EDT
Hello, I was able to successfully update my kernel today:

Linux ThriceDarkness 3.11.2-201.fc19.x86_64 #1 SMP Fri Sep 27 19:20:55 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Here are the currently installed files since the updated:

kmod-catalyst-3.11.2-201.fc19.x86_64-13.8-0.2.beta1.fc19.8.x86_64  *
akmod-catalyst-13.8-0.2.beta1.fc19.8.x86_64                        *

This seems to have solved my issues since kernel:  3.9.9-302  x86_64

Thank you for all you do for us!

Comment 4 Maxim Egorushkin 2013-10-27 08:15:37 EDT
I was having the same problem with latest Fedora 18 and latest Fedora 19, versions are: 


What fixes the crash for me is

    # yum remove xorg-x11-glamor

-- Maxim
Comment 5 Fedora End Of Life 2015-01-09 14:16:09 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 11:33:31 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.